summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorKarel Zak2007-05-29 01:07:28 +0200
committerKarel Zak2007-05-30 11:23:56 +0200
commit8d946e7d2783603a30644e2a5b41d381d3d6ebf6 (patch)
treef0a8be68ac382f21508b7f4efcac99b63e23b8e0 /tests
parenttests: add more variants to {mount,fstab}-by-{label,uuid,devname} (diff)
downloadkernel-qcow2-util-linux-8d946e7d2783603a30644e2a5b41d381d3d6ebf6.tar.gz
kernel-qcow2-util-linux-8d946e7d2783603a30644e2a5b41d381d3d6ebf6.tar.xz
kernel-qcow2-util-linux-8d946e7d2783603a30644e2a5b41d381d3d6ebf6.zip
tests: add mount by devname with label in fstab
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rw-r--r--tests/expected/ts-fstab-devname2label1
-rwxr-xr-xtests/ts-fstab-devname2label59
3 files changed, 61 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index a4c1dfe56..bb7794f88 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -12,6 +12,7 @@ EXTRA_DIST = expected/ \
ts-fstab-label \
ts-fstab-uuid \
ts-fstab-devname \
+ ts-fstab-devname2label \
ts-hwclock-systohc \
ts-ipcs-headers \
ts-ipcs-limits \
diff --git a/tests/expected/ts-fstab-devname2label b/tests/expected/ts-fstab-devname2label
new file mode 100644
index 000000000..35821117c
--- /dev/null
+++ b/tests/expected/ts-fstab-devname2label
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-fstab-devname2label b/tests/ts-fstab-devname2label
new file mode 100755
index 000000000..9b7926bad
--- /dev/null
+++ b/tests/ts-fstab-devname2label
@@ -0,0 +1,59 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+#
+# mount by devname -- with an LABEL in fstab
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="fstab"
+TS_DESC="devname2label"
+
+LABEL="testMountD2L"
+
+ts_init "$1"
+ts_skip_nonroot
+
+set -o pipefail
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+mkfs.ext3 -L $LABEL $DEVICE &> /dev/null
+[ "$?" == "0" ] || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has "LABEL" $LABEL $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found LABEL '$LABEL' on $DEVICE" $DEVICE
+
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_fstab_add "LABEL=$LABEL"
+
+$TS_CMD_MOUNT $DEVICE 2>&1 >> $TS_OUTPUT
+grep -q $DEVICE /proc/mounts
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+$TS_CMD_UMOUNT $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+ts_fstab_clean
+
+ts_log "Success"
+ts_finalize
+